Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 159767 - service operations on non-existent services are processed anyway
Summary: service operations on non-existent services are processed anyway
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Cluster Suite
Classification: Retired
Component: rgmanager
Version: 4
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Lon Hohberger
QA Contact: Cluster QE
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-06-07 20:55 UTC by Lon Hohberger
Modified: 2009-04-16 20:17 UTC (History)
1 user (show)

Fixed In Version: RHBA-2005-738
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-10-07 16:52:00 UTC


Attachments (Terms of Use)
Fixes behavior and makes error reporting more readable. (deleted)
2005-07-12 16:43 UTC, Lon Hohberger
no flags Details | Diff


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2005:738 normal SHIPPED_LIVE rgmanager bug fix update 2005-10-07 04:00:00 UTC

Description Lon Hohberger 2005-06-07 20:55:28 UTC
Description of problem:

If a service doesn't exist and we try to enable it, it will fail.  That's fine
-- except that rgmanager goes through the hassle of a full start sequence, and
spits out really ugly log messages while it's trying to start the nonexistent
service.

Ex:

clusvcadm -e "fehjre"

Jun  7 16:49:59 red clurgmgrd[4174]: <notice> Stopping service fehjre 
Jun  7 16:49:59 red clurgmgrd[4174]: <crit> #12: RG fehjre failed to stop;
intervention required 

clusvcadm -e "fehjre"
Jun  7 16:49:59 red clurgmgrd[4174]: <notice> Service fehjre is failed 
Jun  7 16:50:09 red clurgmgrd[4174]: <notice> Starting stopped service fdsafdsa 
Jun  7 16:50:09 red clurgmgrd[4174]: <warning> #68: Failed to start fdsafdsa;
return value: 1 

clusvcadm -d "fdsafdsa"
Jun  7 16:50:09 red clurgmgrd[4174]: <notice> Stopping service fdsafdsa 
Jun  7 16:50:09 red clurgmgrd[4174]: <crit> #12: RG fdsafdsa failed to stop;
intervention required

Comment 1 Lon Hohberger 2005-07-12 16:43:02 UTC
Created attachment 116664 [details]
Fixes behavior and makes error reporting more readable.

Comment 2 Lon Hohberger 2005-07-12 16:45:20 UTC
[root@red ~]# clusvcadm -d rhjkdfsafdsahjk
Member red disabling rhjkdfsafdsahjk...failed: Service does not exist


Comment 3 Lon Hohberger 2005-07-28 21:21:42 UTC
Fixes in CVS

Comment 5 Red Hat Bugzilla 2005-10-07 16:52:00 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2005-738.html



Note You need to log in before you can comment on or make changes to this bug.